# -*- coding:utf-8 -*-

import configparser
import os
import sys

startPath = os.path.split(os.path.realpath(__file__))
root_dir = os.path.abspath(os.sep.join([startPath[0], '..']))


class MysqlConfig:

    def __init__(self, file_path=None):
        if file_path:
            config_path = file_path
        else:
            config_path = os.path.join(root_dir, "config.ini")
        self.cf = configparser.ConfigParser()
        self.cf.read(config_path, encoding='UTF-8')

    def connect(self, param):
        value = self.cf.get("Mysql-Database", param)
        return value
